QWSMouseHandler(3qt)

NAME
QWSMouseHandler - Mouse driver/handler for Qt/Embedded

SYNOPSIS
#include <qwsmouse_qws.h>

Inherits QObject.

  Public Members
QWSMouseHandler ()
virtual ~QWSMouseHandler ()
virtual void clearCalibration ()
virtual void calibrate ( QWSPointerCalibrationData * )

  Protected Members
void mouseChanged ( const QPoint & pos, int bstate )

DESCRIPTION
The QWSMouseHandler class is a mouse driver/handler for Qt/Embedded.

The mouse driver/handler handles events from system devices and generates mouse events.

A QWSMouseHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call mouseChanged() to send the event to Qt/Embedded for relaying to clients.

See also Qt/Embedded.

MEMBER FUNCTION DOCUMENTATION

QWSMouseHandler::QWSMouseHandler ()
Constructs a mouse handler. This becomes the primary mouse handler.

Note that once created, mouse handlers are controlled by the system and should not be deleted.

QWSMouseHandler::~QWSMouseHandler () [virtual]
Destroys the mouse handler. You should not call this directly.

void QWSMouseHandler::calibrate ( QWSPointerCalibrationData * ) [virtual]
This method is reimplemented in the calibrated mouse handler to set calibration information (from, for instance, the QPE calibration screen). This version does nothing.

void QWSMouseHandler::clearCalibration () [virtual]
This method is reimplemented in the calibrated mouse handler to clear calibration information. This version does nothing.

void QWSMouseHandler::mouseChanged ( const QPoint & pos, int bstate ) [protected]
When a mouse event occurs this function is called with the mouse's position in pos, and the state of its buttons in bstate.

See also Qt::ButtonState.

SEE ALSO
http://doc.trolltech.com/qwsmousehandler.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qwsmousehandler.3qt) and the Qt version (3.0.6).